Subject: Re: [Dev] Reading Circle

From: [email-masked]
Date: Fri, 15 Feb 2002 14:06:54 -0500

> heh.  _ALL_ my knowledge is rudimentary (as possible).  Patterns
> are not limited to implementation in specific languages.

Absolutely true.  The literature on patterns features a diverse
group of languages.. ranging from C++ to Python, and including
Java, Smalltalk, Eiffel, etc.

> Sure, the GOF were all super-genius', but that doesn't mean a
> simpleton like me can't benefit from their ideas and discourse
> -- even when I'm not lucky enough to work in OO-land most of the day.

Yeah, I think everybody can benefit from this, regardless of their
skill level in a particular language.  If you know enough about
OO programming to understand what a design pattern is (basically)
and know that you would like to learn about them... you probably
know enough to gain something from this exercise.

> come on out.  I plan on learning all I can from the group, and hope
> that I have something valuable that I can add to the discussion.

Same here.  You have to figure, pretty much nothing but good
can come from hanging out with a bunch of people who are
interested in the same subject as you.  Everybody learns
from everybody else, and a sort of "feedback-loop" is created
where we all help each other further our understanding.  Or
at least that's what's supposed to happen. :-)

TTYL,

Phillip Rhodes
Application Designer
Voice Data Solutions
919-571-4300 x225
[email-masked]

America is at war with Afghanistan.  America has always been at war with
Afghanistan.  Russia is our ally.  Russia has always been our ally.

Read Orwell's 1984.  Read a newspaper.  Fear the future.

The history of liberty is a history of resistance. The history of liberty
is a history of limitations of governmental power, not the increase of it.
- Woodrow Wilson Speech in New York, September 9, 1912

Those who are willing to sacrifice essential liberties for a little order,
will lose both and deserve neither. - Benjamin Franklin

---

From: Tom Bryan <[email-masked]>
Date: Fri, 15 Feb 2002 22:03:59 +0500

> at least that's what's supposed to happen. :-)

I'm not sure whether I'll be joining this round, but it sounds interesting.  
I've done something similar with this book at work last year.  Even if I 
don't join your reading group, I may have some suggestions on how to make the 
exercise more beneficial.  Pester me later for details.

---Tom